@import 'layout_custom_color.css';


.corpo {
  height: 100%;
  border-collapse: collapse;
  padding: 5px;
  overflow-x: auto;
}

.corpo fieldset {    
  background:var(--bg-fieldset);
  border-color:var(--button-over);
  border-style: solid;
  border-width: 2px;
  padding: 10px;
  margin: 10px;
}    

.corpo legend {
  color: var(--button-over);
  font-size: 16px;
  font-weight: bold;
  padding: 5px;
}

.corpo label  { 
  padding: 0px 5px;
  /* width: 100px; */
  width: 12%;
  text-align: right;
  color:var(--button-over);
  display: inline-block;
  line-height: 24px;
 }

.corpo input, select {
  color: #495057;
  background-color: var(--sfondo-bg);
  line-height: 24px;
  
  width: 170px;
  
  border: 1px solid  var(--sfondo-barra);
  border-radius: 5px;
  vertical-align: middle;
  padding-left: 5px;
}

.corpo input[type=checkbox] {
  width: auto;
  margin: 10px 0px;
}

.corpo select{
  height: 24px;
}

.corpo
select:focus,
input:focus {
  
  border: 2px solid  var(--sfondo-barra);
  border-radius: 4px;
}


.corpo fieldset.inline {
  float: left;
  width: 45%;
}

.corpo p {
  margin-top: 16px;
  margin-bottom: 0px;
}


/* utilizzato per una eventuale intestazione prima della tabella */
.corpo h3 {
  margin-left: 16px;
}


/* le sezioni all'interno di corpo-fieldset 
  25/05/2023 disabilitato perchè alza <td> nella progresbar del mountpoint in serverform
  29/05/2023 riabilitato per mantenere un po' di distanza tra i campi nei form e messo
              margin-top: 0px; solo per la prograss bar
  
*/
.corpo fieldset div  {   
  margin-top: 12px;
 }

/* 20/07/2023 nei textarea multiline allinea verticalmente le label al centro.
              messo una classe css specifica perchè altrimenti si disallineano le 
              label dei progress bar nello spazio disco
*/
.multiline {
  display: flex;
  align-items: center;
}

.corpo fieldset.inline label { 
  padding: 0px 5px;
  width: 20%;
  text-align: right;
  color:var(--button-over);
}


.grid-container4040 {
  display: grid;
  grid-template-columns: 40% 40%;
  grid-gap: 0px;
  padding: 0px;
}

.grid-container4040 label { 
    padding: 5px;
    width: 20%;
    display: inline-block;
  }
.grid-container4040 .new_row {
    grid-column-start: 1;
  }


.grid-container2 {
  display: grid;
  grid-template-columns: 60% 40%;
  grid-gap: 0px;
  padding: 0px;
}

.grid-container3 {
  display: grid;
  grid-template-columns: 40% 45% 15%;
  grid-gap: 0px;
  padding: 0px;
}

/* LOGIN */
.login_div {
  position: absolute;

  width: 380px;
  height: 420px;

  /* Center form on page horizontally & vertically */
  top: 50%;
  left: 50%;
  margin-top: -210px;
  margin-left: -190px;
}

/* usato come classe da Datatables  */
.text-right { text-align: right; }
.text-center { text-align: center; }

/* Contenitori lengthMenu e info sulla stessa riga */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_info {
  float: none !important; /* Rimuove il float forzando il comportamento */
  display: inline-block; /* Mantiene gli elementi sulla stessa riga */
  vertical-align: middle; /* Allinea verticalmente */
  margin-left: 10px; /* Aggiunge un po' di spazio rispetto agli altri elementi */
  margin-right: 10px; /* Aggiunge un po' di spazio rispetto agli altri elementi */
  height: 28px; /* Imposta la stessa altezza per entrambi */
  line-height: 28px; /* Centra verticalmente il testo */
}

/* Assicura che i contenitori abbiano margini uniformi */
.dataTables_wrapper .dataTables_length label,
.dataTables_wrapper .dataTables_info {
    margin: 0; /* Elimina margini predefiniti */
    padding: 0; /* Elimina padding predefinito */
}


/* Allineamento del contenuto interno */
.dataTables_wrapper .dataTables_length label,
.dataTables_wrapper .dataTables_info {
  line-height: normal; /* Allinea il testo correttamente */
  font-size: 14px; /* Mantieni la dimensione del testo uniforme */
}


.dataTables_wrapper .dataTables_length select {
  width: 50px; /* Regola la larghezza a seconda delle tue necessità */
  height: 28px; /* Regola la larghezza a seconda delle tue necessità */
  padding: 2px; /* Riduci il padding interno */
  font-size: 14px; /* Se necessario, riduci la dimensione del testo */
}

/* FIX DataTables search box overflow */
.dataTables_wrapper {
  width: 100%;
  box-sizing: border-box;
  margin: 0 !important;
  padding: 0;
}

.dataTables_wrapper .dataTables_filter {
  width: 100%;
  text-align: right;
  float: none !important;
  margin: 0px 0 !important;
  padding: 0 !important;
}

.dataTables_wrapper .dataTables_filter input {
  width: auto;
  max-width: 300px;
}

.dataTables_wrapper .dt-buttons {
  margin: 0 !important;
  padding: 0 !important;
}